#! /bin/bash
# image3dpair.sh

echo start to align
align_image_stack -a "$3" -m -i -"$6" -C "$2" "$1" > /dev/null

if [ $? -ne 0 ] ; then
	echo "There was a problem creating image $4" > "$7"
	exit
fi 

echo start composite
if [ "$5" = "A" ] ; then
	composite -stereo 0 "$3"0000.tif "$3"0001.tif "$4"
elif [ "$5" = "S" ] ; then
	convert "$3"0001.tif "$3"0000.tif +append "$4"
elif [ "$5" = "C" ] ; then
	convert "$3"0000.tif "$3"0001.tif +append "$4"
fi

if [ $? -ne 0 ] ; then
	echo "There was a problem creating image $4" > "$7"
	exit
fi 

echo delete
rm "$3"0000.tif
rm "$3"0001.tif

echo finished


